
Ruby - Bug #12061

DNS resolv error RuntimeError: can't modify frozen String  when using IPv6 Addresses

02/10/2016 09:53 PM - steve.misky (Stephen Misk)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.3.0p0 (2015-12-25 revision

53290) [x86_64-linux]

Backport: 2.0.0: DONTNEED, 2.1: DONTNEED,

2.2: DONTNEED, 2.3: DONE

Description

Just upgraded from Ruby 1.9.3-p194 to Ruby 2.3.0

eventmachine (1.0.9.1)

eventmachine_httpserver (0.2.1)

irb

2.3.0 :001 > require 'eventmachine'

=> true

2.3.0 :002 > Resolv::IPv6.create('2607:F8B0:4002:C0C::66')

RuntimeError: can't modify frozen String

from /usr/local/rvm/rubies/ruby-2.3.0/lib/ruby/2.3.0/resolv.rb:2462:in block in create' from

/usr/local/rvm/rubies/ruby-2.3.0/lib/ruby/2.3.0/resolv.rb:2462:in scan'

from /usr/local/rvm/rubies/ruby-2.3.0/lib/ruby/2.3.0/resolv.rb:2462:in create' from (irb):2 from

/usr/local/rvm/rubies/ruby-2.3.0/bin/irb:11:in '

2.3.0 :003 > Resolv::IPv4.create('74.125.226.19')

=> #<Resolv::IPv4 74.125.226.19>

2.3.0 :004 >

Related issues:

Is duplicate of Ruby - Bug #11910: resolv.rb - can't modify frozen String in ... Closed

Associated revisions

Revision 6b2f77a844a8bf3c8be4f0888df6f53dec9198c5 - 03/29/2016 01:59 PM - naruse (Yui NARUSE)

merge revision(s) 53363: [Backport #11910] [Backport #12061]

    * lib/resolv.rb (Resolv::IPv6.create): avoid modifying frozen

    * test/resolv/test_dns.rb (test_ipv6_create): test for above

      [Bug #11910] [ruby-core:72559]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54404 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6b2f77a8 - 03/29/2016 01:59 PM - naruse (Yui NARUSE)

merge revision(s) 53363: [Backport #11910] [Backport #12061]

    * lib/resolv.rb (Resolv::IPv6.create): avoid modifying frozen

    * test/resolv/test_dns.rb (test_ipv6_create): test for above

      [Bug #11910] [ruby-core:72559]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54404 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/10/2016 09:54 PM - steve.misky (Stephen Misk)

- ruby -v changed from Ruby 2.3.0 to uby 2.3.0p0 (2015-12-25 revision 53290) [x86_64-linux]

#2 - 02/10/2016 09:54 PM - steve.misky (Stephen Misk)

- ruby -v changed from uby 2.3.0p0 (2015-12-25 revision 53290) [x86_64-linux] to ruby 2.3.0p0 (2015-12-25 revision 53290) [x86_64-linux]

#3 - 02/10/2016 09:56 PM - steve.misky (Stephen Misk)
- Description updated

#4 - 02/11/2016 03:24 AM - usa (Usaku NAKAMURA)

- Is duplicate of Bug #11910: resolv.rb - can't modify frozen String in #scan added

#5 - 02/11/2016 03:24 AM - usa (Usaku NAKAMURA)

- Status changed from Open to Closed

- Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2:

DONTNEED, 2.3: REQUIRED

#6 - 03/29/2016 02:00 PM - naruse (Yui NARUSE)

- Backport changed from 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONTNEED, 2.3: REQUIRED to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2:

DONTNEED, 2.3: DONE

ruby_2_3 r54404 merged revision(s) 53363.
